function [Un, Sn] = normdict(U)

% normdict -- Normalise (with respect to l2 norm) each column in a
%             dictionary matrix 
%
% Usage:
%       [Un, Sn] = normdict(U)
%
% Input:
%       U           Input dictionary matrix
%
% Output:
%       Un          Normalised dictionary matrix
%       Sn          Vector of column l2 norms prior to normalisation

Sn = repmat(sqrt(sum(U.^2,1)),size(U,1),1);
Un = U ./ Sn;

return
