function [w, z] = llew(v, U)

% lle -- Compute Local Linear Embedding weights
%
% Usage:
%       [w, wv] = llew(v, U)
%
% Input:
%       v           Vector to be embedded
%       U           Matrix of columns representing neighbourhood vectors
%
% Output:
%       w           Vector of weights
%       z           Embedded approximation of v

D = repmat(v,1,size(U,2)) - U;
C = D'*D;

C = C + 1e-5*eye(size(C));

%[w, flg] = pcg(C,ones(size(U,2),1));
w = C \ ones(size(U,2),1);
w = w/sum(w);
z = U*w;

return
