function [Y, I] = maxabs(X,dim)
  
% maxabs -- Find the values in a matrix having the maximum absolute
%           value
%
% Usage:
%       [Y, I] = maxabs(X,dim)
%
% Input:
%       X           Matrix
%       dim         Dimension along which to perform maximum
%       
% Output:
%       Y           Maximum value in the matrix
%       I           Index matrix for the maxima

sz = size(X);
  
if nargin < 2,
  ns = find(sz > 1);
  dim = ns(1);
end

[Ya,Ia] = max(abs(X),[],dim);
rs0 = ones(size(sz));
rs0(dim) = sz(dim);
rs1 = sz;
rs1(dim) = 1;
I = repmat(reshape(1:sz(dim), rs0), rs1) == repmat(Ia, rs0);
Ys = zeros(sz);
Ys(I) = X(I);
Y = sum(Ys, dim);

return
