function d = normdot(x, y)
  
% normdot -- Compute the normalised dot product
%
% Usage:
%       d = normdot(x, y)
%
% Input:
%       x           Vector
%       y           Vector
%  
% Output:
%       d           dot(x,y)/(norm(x)*norm(y))

xv = x(:);
yv = y(:);
d = dot(xv,yv)/(norm(xv)*norm(yv));

return
